Subject: Re: [hybi] Flow control quota
From: Takeshi Yoshino <[email-masked]>
To: Martin Sustrik <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Jun 2012 21:33:11 +0900
List-Id: Server-Initiated HTTP <hybi.ietf.org>

On Fri, Jun 1, 2012 at 5:43 PM, Martin Sustrik <[email-masked]> wrote:

> That seems to suggest there's some kind of mis-layering happening here.
> Frames are used for flow control. Does it make sense to use them for
> compression as well? Shouldn't the compression rather happen on top of
> mutliplexing layer?
>
> The situation is similar to compressing the payload in TCP packets. It is
> feasible, but in corner cases it can clash with MTU limits, cause
> re-fragmentation etc. The clean solution would be to layer compression on
> top of TCP layer.

Mux want to control fragmentation while per-frame compression locks down
fragmentation. Yes, it's not healthy to use of per-frame compression before
mux.

Shall we discourage this layering (preframe-compress then mux)?